## mx4j.tools.jython
Class JythonRunnerMBeanDescription

    java.lang.Object
      mx4j.MBeanDescriptionAdapter
          mx4j.tools.jython.JythonRunnerMBeanDescription

All Implemented Interfaces:
  MBeanDescription

public class JythonRunnerMBeanDescription
extends MBeanDescriptionAdapter

Management interface descriptions for the JythonRunner MBean.

Version:
  $Revision: 1.7 $

Constructor Summary
`JythonRunnerMBeanDescription()`

Method Summary
`java.lang.String` `getAttributeDescription(java.lang.String attribute)` Should return the description for the specified attribute.
`java.lang.String` `getMBeanDescription()` Should return the description of the MBean.
`java.lang.String` `getOperationDescription(java.lang.reflect.Method operation)` Should return the description for the specified operation.

Methods inherited from class mx4j.MBeanDescriptionAdapter
`getConstructorDescription, getConstructorParameterDescription, getConstructorParameterName, getOperationParameterDescription, getOperationParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JythonRunnerMBeanDescription

    public JythonRunnerMBeanDescription()

Method Detail

### getMBeanDescription

    public java.lang.String getMBeanDescription()

  Description copied from interface: `MBeanDescription`
  Should return the description of the MBean. For example: "This MBean is the rmiregistry service"

  Specified by:
    `getMBeanDescription` in interface `MBeanDescription`
  Overrides:
    `getMBeanDescription` in class `MBeanDescriptionAdapter`

### getAttributeDescription

    public java.lang.String getAttributeDescription(java.lang.String attribute)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified attribute. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getAttributeDescription` in interface `MBeanDescription`
  Overrides:
    `getAttributeDescription` in class `MBeanDescriptionAdapter`

### getOperationDescription

    public java.lang.String getOperationDescription(java.lang.reflect.Method operation)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified operation. For example: "Binds the given object to the given name"

  Specified by:
    `getOperationDescription` in interface `MBeanDescription`
  Overrides:
    `getOperationDescription` in class `MBeanDescriptionAdapter`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.